summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2009-01-09 20:05:55 +0000
committerThomas Sachau <tommy@gentoo.org>2009-01-09 20:05:55 +0000
commitcf3590f8975fa57773506e8af778f55edadce3af (patch)
tree76e98f6475c1f43e046a1b9588522fa2e8583fd9 /dev-util/eresi/eresi-0.82_beta2.ebuild
parentgames-rpg/planeshift-bin: Dont hardcode versions, use PV instead (diff)
downloadsunrise-cf3590f8975fa57773506e8af778f55edadce3af.tar.gz
sunrise-cf3590f8975fa57773506e8af778f55edadce3af.tar.bz2
sunrise-cf3590f8975fa57773506e8af778f55edadce3af.zip
dev-util/eresi: Adding some bash magic for less dodoc lines
svn path=/sunrise/; revision=7603
Diffstat (limited to 'dev-util/eresi/eresi-0.82_beta2.ebuild')
-rw-r--r--dev-util/eresi/eresi-0.82_beta2.ebuild22
1 files changed, 6 insertions, 16 deletions
diff --git a/dev-util/eresi/eresi-0.82_beta2.ebuild b/dev-util/eresi/eresi-0.82_beta2.ebuild
index 00921d782..7017b7321 100644
--- a/dev-util/eresi/eresi-0.82_beta2.ebuild
+++ b/dev-util/eresi/eresi-0.82_beta2.ebuild
@@ -34,8 +34,7 @@ src_unpack() {
-e 's: -O2 : :g' \
-e "s: -g3 : ${CFLAGS} :" \
-e "/^LDFLAGS/s:=:=${LDFLAGS} :" \
- $(find -name Makefile) \
- || die
+ $(find -name Makefile) || die
}
src_compile() {
@@ -53,20 +52,11 @@ src_compile() {
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
- dodoc doc/AUTHOR || die "dodoc failed"
- dodoc doc/CREDITS || die "dodoc failed"
- dodoc README.FIRST || die "dodoc failed"
+ dodoc doc/{AUTHOR,CREDITS,README.FIRST} || die "dodoc failed"
if use doc; then
- dodoc doc/cerberus2.txt || die "dodoc failed"
- dodoc doc/Changelog || die "dodoc failed"
- dodoc doc/elfsh-network-0.3.txt || die "dodoc failed"
- dodoc doc/elfsh-ref.txt || die "dodoc failed"
- dodoc doc/ERESI.NEWHOOKS || die "dodoc failed"
- dodoc doc/eresirc.example || die "dodoc failed"
- dodoc doc/graphers.txt || die "dodoc failed"
- dodoc doc/KERNSH.bugs || die "dodoc failed"
- dodoc doc/libelfsh.i || die "dodoc failed"
- dodoc doc/libelfsh-ref.txt || die "dodoc failed"
- dodoc doc/rtld-multiarch.txt || die "dodoc failed"
+ dodoc doc/{cerberus2,elfsh-network-0.3,elfsh-ref}.txt \
+ doc/{,graphers,libelfsh-ref,rtld-multiarch}.txt || die "dodoc failed"
+ dodoc doc/{Changelog,ERESI.NEWHOOKS,eresirc.example} || die "dodoc failed"
+ dodoc doc/{KERNSH.bugs,libelfsh.i} || die "dodoc failed"
fi
}